function [ input_imgs, s1, s2 ] = load_images( baseDir, imgDir )

disp(sprintf('Loading images from %s...', imgDir));
imgDir = strcat(baseDir,'/', imgDir, '/');

imgFiles = dir([imgDir '/*.pgm']);
assert(~isempty(imgFiles));

numImgs = length(imgFiles);

% Read the first image
imgFile = strcat(imgDir, '/', imgFiles(1).name);
img = imread(imgFile);

[s1,s2] = size(img);

input_imgs = zeros(numImgs,s1*s2);

img = img';
input_imgs(1,:) = img(:);

for i=2:numImgs

    imgFile = strcat(imgDir, '/', imgFiles(i).name);  
    img = imread(imgFile);
    
    img = img';
    input_imgs(i,:) = img(:);
    
end

input_imgs = input_imgs';